//+------------------------------------------------------------------+
//|                                                 ReadFromFile.mq4 |
//|                                                       njel |
//|                                                     iamnotlinked |
//+------------------------------------------------------------------+
#property copyright "njel"
#property link      "iamnotlinked"
#property show_inputs

extern bool DisplayText = true;

extern bool Japan = true;
extern bool USA = true;
extern bool Germany = true;
extern bool ES = true;
extern bool GB = true;
extern bool Canada = true;

extern string FileName = "week.txt";



int start()
  {
  
  ObjectsDeleteAll();
  
   int handle;
   handle=FileOpen(FileName,FILE_CSV|FILE_READ,';');
   if(handle<1)
    {
     Print("File not found, the last error is ", GetLastError());
     return(false);
    }
    
    
   int i= 0;
   while(!FileIsEnding(handle))
   {
    string sDate=FileReadString(handle); // Date
    string sTime=FileReadString(handle); // Time
    string sDescription=FileReadString(handle); // Description
    string sCountry=FileReadString(handle); // Country
    string sPeriod=FileReadString(handle); // Period
    string sCurrent=FileReadString(handle); // Current value
    string sForecast=FileReadString(handle); // Expected
    FileReadString(handle); // null
    
    i++;
    datetime dt = StrToTime(sDate+" "+sTime);
    
         color c = Red;

         if (sCountry == "") c = Yellow;            
         if (sCountry == "") c = White;         
         if (sCountry == "") c = Green;
         if (sCountry == "") c = Blue;            
         if (sCountry == "") c = Orange;
         if (sCountry == "") c = Gray;


         if ((sCountry == "") && (!Japan)) continue;            
         if ((sCountry == "") && (!USA)) continue;            
         if ((sCountry == "") && (!Germany)) continue;            
         if ((sCountry == "") && (!ES)) continue;            
         if ((sCountry == "") && (!GB)) continue;                      
         if ((sCountry == "") && (!Canada)) continue;                     
            
            
          if (DisplayText)
          {
          ObjectCreate("x"+i, OBJ_TEXT, 0, dt, Close[0]);
          ObjectSet("x"+i, OBJPROP_COLOR, c);          
          ObjectSetText("x"+i, sDescription + " "+ sCountry + " " + sPeriod + " " + sCurrent + " " + sForecast, 8);          
          ObjectSet("x"+i, OBJPROP_ANGLE, 90);          
          }
          
                   
          ObjectCreate("y"+i, OBJ_VLINE, 0, dt, Close[0]);
          ObjectSet("y"+i, OBJPROP_COLOR, c);                    
          ObjectSet("y"+i, OBJPROP_STYLE, STYLE_DOT);                    
          ObjectSet("y"+i, OBJPROP_BACK, true);          
          ObjectSetText("y"+i, sDescription + " "+ sCountry + " " + sPeriod + " " + sCurrent + " " + sForecast, 8);                    

   }    

   return(0);
  }
//+------------------------------------------------------------------+